Home Wiki > Dépôts KDE
Sign up | Login

Dépôts KDE

tagline: De openSUSE


Cette page liste et décrit les dépôts KDE disponibles et fournit des liens. La plupart sont maintenus et pris en charge par l'équipe communautaire KDE d'openSUSE.
Attention Evitez de mélanger les dépôts qui appartiennent à différentes versions de KDE (Stable/Factory/Unstable/…).
Attention Les dépôts KDE:Current, contenant actuellement KDE Applications 14.12.3, ne seront plus mis à jour.


Contexte

La configuration des dépots est basée sur la distinction entre trois groupes de paquets, c'est-à-dire :

  • Paquets KDE Framework/Plasma : ce groupe contient le framework (cadriciel) de KDE et l'espace de travail Plasma
  • Paquets KDE Applications : ce groupe contient les applications KDE telles que Dolphin, Kdenlive, Konqueror, etc.
  • Paquets pour les applications basées sur KDE/Qt : ce groupe contient les applications basées sur les bibliothèques KDE ou Qt, comme Amarok, Konversation, Quassel, etc.


Mises à jour de maintenance

Depuis openSUSE 12.3, l'équipe KDE de la communauté openSUSE offre les nouvelles versions mineures des paquets KDE dans la dernière version stable de la distribution, grâce aux mises à jour de maintenance. Cela signifie que les mises à jour logicielles mineures de KDE sont fournies sans qu'il soit nécessaire d'ajouter des dépôts supplémentaires. Cela se reflète dans la façon dont les dépôts KDE ont été mis en place.

Pour le moment, nous avons les pistes de maintenance suivantes :

  • openSUSE 13.1 : livrée avec KDE SC 4.11.2. Des mises à jour de maintenance ont été fournies jusqu'à KDE SC 4.11.5.
  • openSUSE 13.2 : livrée avec KDE SC 4.14.2.
  • openSUSE Leap 42.1: livrée avec Plasma 5.4.2, Applications 15.08 (avec quelques exceptions) et KDE Frameworks 5.15.


Ce qui est disponible

Sur la base de ce qui a été indiqué précédemment, les dépôts suivants ont été mis à la disposition des utilisateurs d'openSUSE.


Pour l'utilisateur

  • Dernières versions de KDE Frameworks 5 et Plasma
    Il s'agit de versions plus récentes des bibliothèques de KDE Frameworks et du bureau Plasma, telles que fournies par la communauté KDE, plus un certain nombre de correctifs par openSUSE. Ces versions sont disponibles pour au moins la dernière version de Leap et pour Tumbleweed. Elles peuvent être également disponibles pour les versions antérieures d'openSUSE, si toutes les dépendances entre les paquets sont satisfaites.
  • Dernières versions des applications KDE
    Il s'agit de verions plus récentes des applications KDE, telles que fournies par la communauté KDE, plus un certain nombre de correctifs par openSUSE. Ces versions sont disponibles pour au moins la dernière version de Leap et pour Tumbleweed. Elles peuvent être également disponibles pour les versions antérieures d'openSUSE, si toutes les dépendances entre les paquets sont satisfaites.
  • KDE Extra
    Il s'agit de verions plus récentes des applications individuelles basées sur KDE/Qt (mais non présent dans KDE Frameworks, Plasma ou Applications), qui ont été empaquetées pour les distributions sorties. Vous n'avez pas besoin de mettre à jour aussi votre KDE, même si vous pouvez le faire, parce que KDE assure une compatibilité ascendante.


Pour les contributeurs

  • Dépôts KDE Unstable
    Versions alphas et bêtas des paquets présents dans les dépôts mentionnés au-dessus. Ces versions de test sont uniquements construites pour la dernière version de Leap et pour Tumbleweed, en raison de dépendances possibles sur des paquets récents.

Je veux…


Applications à jour uniquement

Si vous utilisez les paquets KDE officiels, supportés et testés, fournis avec votre distribution, ces dépôts supplémentaires existent pour vous.

Version : 13.1


KDE:Current - la version stable de KDE SC 4

Attention Les dépôts KDE:Current, contenant actuellement KDE Applications 14.12.3, ne seront plus mis à jour.
Attention Supprimez les dépôts de la section Applications à jour uniquement si vous voulez utilisez KDE:Current.


Utilisez ces dépôts si vous voulez avoir la dernière version stable de KDE SC 4. Veuillez noter que le bureau Plasma ne fait plus partie des dernières versions de KDE SC car, depuis la version 4.11, ce bureau est en support étendu. Ainsi, les versions actuelles de KDE SC ne contiennent que des applications mises à jour (les bibliothèques de KDE ont été gelées depuis la version 4.9, leurs numéros de version ne sont incrémentés que pour faciliter la construction de paquets).


KDE Frameworks 5 et Plasma 5

Attention Ne pas utiliser avec le gestionnaire de session gdm.
Attention Pour les utilisateurs d'openSUSE 13.2 : alors que les paquets de KF5 sont co-installables avec KDE SC 4 et Qt 4, ceux de Plasma 5 ne le sont pas.


Versions publiées de KDE Frameworks 5 et Plasma 5. Depuis openSUSE 13.2, les biliothèques KDE Frameworks 5 (KF5) et les composants Plasma 5 sont inclus dans les dépôts standards. Si voulez utiliser ou tester la dernière version, vous pouvez utiliser ce dépôt.

Les utilisateurs de Tumbleweed n'ont pas vraiment besoin de ce dépôt, vu que les nouvelles versions sont publiés dans le dépôt standard de Tumbleweed quelques jours après la publication ici.

Pour ajouter Plasma 5 à votre gestionnaire de session, installez le paquet plasma5-session.


KDE Frameworks 5, Plasma 5 et Applications instables

Constructions quotidiennes de KDE Frameworks 5 et Plasma 5.

Étant donné le rythme de développement, l'utilisation de ces dépôts est déconseillée pour des machines de production. Ils sont destinés aux développeurs et aux testeurs aguerris.

Veuillez ne pas rapporter de bug sur ces paquets sur le Bugzilla d'openSUSE, mais directement sur le Bugzilla de KDE.
Attention Afin d'éviter les problèmes de dépendance, les quatre dépôts devraient être ajoutés en même temps.

KDE 3.5.10

C'est la dernière version empaquetée de KDE 3. Voir cette page pour des informations et la liste des dépôts.


Qt

Attention Vous n'avez pas besoin d'ajouter ceci si vous utilisez les dépôts KDE listés ci-dessus. Les dépôts incluent déjà les paquets Qt corrects.


Qt 4 - stable

Versions de Qt 4.x.x étant considérées comme les plus stables tout en étant assez récentes. Pas nécessaire si vous utilisez KDE:Distro:Factory ou KDE:Distro:Stable.


Qt 5 - stable

Dernière version stable de Qt5 (actuellement 5.5.1).


Qt 5.4 - instantanés de développement

Pour les développeurs seulement. Ces instantanés sont créés depuis gitorious, branche de développement (pas encore fonctionnelle).


Qt 5.5 - instantanés de développement

Pour les développeurs seulement. Ces instantanés sont créés depuis gitorious, branche de développement (pas encore fonctionnelle).


Voir aussi